# FoundationClasses
TKAdvTools
ExprIntrp

# ExprIntrp_StackNodeOfStackOfGeneralRelation Class Reference

`#include <ExprIntrp_StackNodeOfStackOfGeneralRelation.hxx>`

Inheritance diagram for ExprIntrp_StackNodeOfStackOfGeneralRelation:

[legend]

## Public Member Functions

| ExprIntrp_StackNodeOfStackOfGeneralRelation (const Handle(Expr_GeneralRelation)&I, const TCollection_MapNodePtr &n)
Handle_Expr_GeneralRelation & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Expr_GeneralRelation | myValue

## Constructor & Destructor Documentation

ExprIntrp_StackNodeOfStackOfGeneralRelation::ExprIntrp_StackNodeOfStackOfGeneralRelation | ( | const Handle(Expr_GeneralRelation)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const ExprIntrp_StackNodeOfStackOfGeneralRelation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_MapNode.

Handle_Expr_GeneralRelation& ExprIntrp_StackNodeOfStackOfGeneralRelation::Value | ( |  | ) | const

## Field Documentation

Handle_Expr_GeneralRelation ExprIntrp_StackNodeOfStackOfGeneralRelation::myValue `[private]`

The documentation for this class was generated from the following file:

- ExprIntrp_StackNodeOfStackOfGeneralRelation.hxx